|  | Home · All Classes · Modules

# Phonon.Effect Class Reference
[phonon module]

The Effect class is used to transform audio streams. More...

Inherits QObject and MediaNode.

### Methods

- __init__ (self, EffectDescription description, QObject parent = None)
- EffectDescription description (self)
- QList<Phonon::EffectParameter> parameters (self)
- QVariant parameterValue (self, EffectParameter)
- setParameterValue (self, EffectParameter, QVariant value)

## Detailed Description

The Effect class is used to transform audio streams.

An effect is a media node which is inserted into a path between a MediaObject and an audio output node, for instance, an AudioOutput, and transforms the media stream on that path.

Examples may include simple modifiers such as fading or pitch shifting, or more complex mathematical transformations. You can query the backend for available effects with BackendCapabilities.availableAudioEffects().

In order to use an effect, insert it into the path as follows:

     Path path = Phonon.createPath(...);
     Effect *effect = new Effect(this);
     path.insertEffect(effect);

The effect will immediately begin applying its transformations on the path. To stop it, remove the Effect from the path.

For creating an effect, you use the EffectDescription, which you get from availableAudioEffects(). We give a code example below.

         QList<Phonon.EffectDescription> effectDescriptions =
                 Phonon.BackendCapabilities.availableAudioEffects();
         Phonon.EffectDescription effectDescription = effectDescriptions.at(4);

         Phonon.Path path = Phonon.createPath(mediaObject, audioOutput);

         Phonon.Effect *effect = new Phonon.Effect(effectDescription);
         path.insertEffect(effect);

Author: Matthias Kretz <kretz@kde.org>

## Method Documentation

### Effect.__init__ (self, EffectDescription description, QObject parent = None)

The parent argument, if not None, causes self to be owned by Qt instead of PyQt.

Constructs a new effect object with the given description and parent object.

The EffectDescription object determines the type of the effect. See BackendCapabilities.availableAudioEffects().

### EffectDescription Effect.description (self)

Returns the description of this effect. This is the same type as was passed to the constructor.

### QList<Phonon::EffectParameter> Effect.parameters (self)

Returns a list of parameters that this effect provides to control its behavior.

See also EffectParameter and EffectWidget.

### QVariant Effect.parameterValue (self, EffectParameter)

Returns the value of the given effect parameter.

See also setParameterValue().

### Effect.setParameterValue (self, EffectParameter, QVariant value)

Sets the given effect parameter to the specified value.

See also parameterValue().